com.pdfunit.util

## Class ConfigHelper

- java.lang.Object
- - com.pdfunit.util.ConfigHelper

-     @DoNotObfuscate
      public final class ConfigHelper
      extends java.lang.Object

  Helper class providing methods, which use the file 'pdfunit.config'. Methods in this class need not to be synchronized, because they are only reading values. ResourceBundle itself is threadsafe.
  Since:
    2016.05
  Author:
    Carsten Siedentop, January 2016

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getDiffImageOutputPath()`
    `static java.lang.String` | `getFileDin5008A()`
    `static java.lang.String` | `getFileDin5008B()`
    `static java.util.Locale` | `getLocale()` This method reads the configuration value for the locale for PDF documents.
    `static java.lang.String` | `getOutputPathForStreams()` If the output path for diff images are not configured in the config file the current directory will be returned.
    `static void` | `loadPropertyFile()`
    `static void` | `resetCache()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigHelper

          public ConfigHelper()

  - ### Method Detail

    - #### getDiffImageOutputPath

          public static java.lang.String getDiffImageOutputPath()

    - #### getFileDin5008A

          public static java.lang.String getFileDin5008A()

    - #### getFileDin5008B

          public static java.lang.String getFileDin5008B()

    - #### getLocale

          public static java.util.Locale getLocale()

      This method reads the configuration value for the locale for PDF documents.

    - #### getOutputPathForStreams

          public static java.lang.String getOutputPathForStreams()

      If the output path for diff images are not configured in the config file the current directory will be returned.

    - #### loadPropertyFile

          public static void loadPropertyFile()

    - #### resetCache

          public static void resetCache()

Copyright (C) PDFUnit.com. See here for license.